Subject: Re: bug#72419: 31.0.50; Macro editing can't deal with event appliers

From: Visuwesh <[email-masked]>
Date: Sat, 17 Aug 2024 15:09:31 +0530

[சனி ஆகஸ்ட் 17, 2024] Eli Zaretskii wrote:

>> Date: Fri, 02 Aug 2024 12:36:44 +0000
>> From:  Alexander Prähauser via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> 
>> If I
>> 
>> 1. Evaluate
>> (define-key function-key-map (kbd "<XF86Launch6>")
>> 'event-apply-meta-modifier)
>> 
>> 2. Do kmacro-start-macro-or-insert-counter, define a macro featuring
>> <XF86Launch6> and end the definition with kmacro-end-or-call-macro.
>> 
>> 3. Use kmacro-edit-macro,
>> 
>> I get
>> 
>> edit-kbd-macro: Wrong type argument: arrayp, event-apply-meta-modifier
>
> I don't have the XF86Launch6 function key on my keyboard, so I cannot
> investigate this issue.  It is not clear to me what function keys I
> could use instead.  Could you perhaps post a recipe using a function
> key that exists on all popular keyboards?

Rather than binding a command to XF86Launch6, typing C-x @ m reproduces
the error here.